function rho = density_of_water(varargin)
% DENSITY_OF_WATER
%
% rho = density_of_water(T);
%
% Returns the density of water 'rho' (kg/m^3) as a function of input
% temperature 'T' (degC) (defaults to 15 °C).
%
% Based on fit generated by separate water_density_fit function

% handle inputs
if nargin == 0
    T = 15;
else
    T = varargin{1};
end

% calculate rho
rho = polyval([-4.490727e-07,7.565227e-05,-8.725013e-03,6.590123e-02,9.998453e+02],T);

end