function g = geothmetic_meandian(A)

% GEOTHMETIC_MEANDIAN
% 
% https://xkcd.com/2435/
f = F(A);
if allfinite(f)
    done = 0;
    while ~done
        f1 = F(f); % iterate a new value
        df = abs(f-f1); % residual between iterations
        f = f1; % adopt new value
        e = 100*eps(f); % tolerance on residual
        Df = max(f)-min(f); % range of values in f
        em = 100*mean(eps(f)); % tolerance on range
        done = all(df<=e) && (Df<em);
    end
    g = mean(f);
else
    g = NaN;
end
end

function B = F(A)
B = zeros(1,3);
B(1) = mean(A);
B(2) = median(A);
B(3) = geomean(A);
end