function obschannels = find_obs(data)

% FIND_OBS
%
% obschannels = find_obs(data);
%
% Finds the channels in 'data' that are named starting with 'obs' for
% later calibration.

% setup
disp('      find_obs: finding optical backscatter sensors (obs)')
obschannels = [];

% search each channel those starting with obs'
if isfield(data,'channelnames') && ~isempty(data.channelnames)
    Nc = length(data.channelnames);
    for nc = 1:Nc
        if contains(data.channelnames{nc}, 'obs') % this finds anything with 'obs' in it
            if strfind(data.channelnames{nc}, 'obs') == 1 % this excludes anything that does NOT start with 'obs'
                obschannels = [obschannels,nc]; %#ok<AGROW>
            end
        end
    end
end

% done
disp(['      find_obs: found ',num2str(length(obschannels)),' obs'])
end
