function uswgchannels = find_uswgs(data)

% FIND_USWGS
%
% uswgchannels = find_uswgs(data);
%
% Finds the channels in 'data' that are named starting with 'uswg' for
% later cleanup.
%
% SEE ALSO: PROCESS_RAW_TRIAL, CLEANUP_USWG

% setup
disp('      find_uswgs: finding ultrasonic range finders (uswgs)')
uswgchannels = [];

% search each channel those starting with 'uswg'
if isfield(data,'channelnames') && ~isempty(data.channelnames)
    Nc = length(data.channelnames);
    for nc = 1:Nc
        if contains(data.channelnames{nc}, 'uswg') % this finds anything with 'uswg' in it
            if strfind(data.channelnames{nc}, 'uswg') == 1 % this makes sure it starts with 'uswg'
                uswgchannels = [uswgchannels,nc]; %#ok<AGROW>
            end
        end
    end
end

% done
disp(['      find_uswgs: found ',num2str(length(uswgchannels)),' uswgs'])
end
