function wgchannels = find_wgs(data)

% FIND_WGS
%
% wgchannels = find_wgs(data);
%
% Finds the channels in 'data' that are named starting with 'wg' for
% later zero offset removal.
%
% SEE ALSO: PROCESS_RAW_TRIAL

% setup
disp('      find_wgs: finding wave gages (wgs)')
wgchannels = [];

% search each channel those starting with 'wg'
if isfield(data,'channelnames') && ~isempty(data.channelnames)
    Nc = length(data.channelnames);
    for nc = 1:Nc
        if contains(data.channelnames{nc}, 'wg') % this finds anything with 'wg' in it
            if strfind(data.channelnames{nc}, 'wg') == 1 % this excludes 'uswg' and 'wmwg' and the like
                wgchannels = [wgchannels,nc]; %#ok<AGROW>
            end
        end
    end
end

% done
disp(['      find_wgs: found ',num2str(length(wgchannels)),' wgs'])
end
