function yes = is_downlooker(head_serial_number)

% IS_DOWNLOOKER
%
% is_downlooker(head_serial_number)
%
% Returns true (1) if the input 'head_serial_number' matches the database
% of downlooker Vectrino+ probes in 'downlookers.mat'

load('downlookers.mat'); % load the downlookers database
probenum = cell2mat(textscan(head_serial_number,'VCN %d')); % get the probe number
index = find(probenums == probenum,1); % find it in the database
if isempty(index)
    disp(['is_downlooker: no record of ',head_serial_number]);
    yes = NaN;
else
    yes = downlookers(index);
end

    