function options = generate_spectrum_options

% GENERATE_SPECTRUM_OPTIONS
%
% options = generate_spectrum_options;
%
% Generates a default set of options for the GENERATE_SPECTRUM function.
% Options are only meaningful for random waves: JS,PINK,PM,TMA,WHITE types.

% default to newly-generated spectrum (new = 1)
% set new = 0 to enable lower options
% note that setting new values of any of T,h,duration force new=1
options.new = 1;

% default to not shuffle
% set new = 0 and shuffle = 1 to enable shuffling of either phases or angles
% set new = 0 and keep shuffle = 0 to retain existing phases & angles
options.shuffle = 0;

% default to not shuffling phases
% set new=0 and shuffle = 1 to enable this option
% keep shuffle_phases = 0 to retain existing phases
% set shuffle_phases = 1 to create new random phases
% shuffling phases does not require a rerun of second-order analysis
options.shuffle_phases = 0;

% default to not shuffling angles
% set new=0 and shuffle = 1 to enable this option
% keep shuffle_angles = 0 to retain existing angles
% set shuffle_angles = 1 to create new random angles
% shuffling angles will require a rerun of second-order analysis
options.shuffle_angles = 0;

% done
end
