function save_lwf_displacement_file(fname,s,dt)

% SAVE_LWF_DISPLACEMENT_FILE
%
% save_lwf_displacement_file(fname,s,dt);
%
% Saves the displacement 's' (in meters, positive onshore and zero at the
% board neutral position) with timestep 'dt' (s) to the file 'fname'.
%
% Uses MTS-compatible ASCII format. To load this file, you must first use 
% File>>Translate>>Text to Binary... on the OSU.2D Wave Generator Controller 
% window for the HWRL LWF controller.
%
% See also: SAVE_DWB_DISPLACEMENT_FILE, SAVE_LWF_WAVE_TIMESERIES_FILE

% setup
fid = fopen(fname,'w');
eol = '\r\n'; % end of line

% header
fprintf(fid,['*',eol]);
fprintf(fid,['* ',datestr(now),eol]);
fprintf(fid,['* 1: Board #1 Raw Program (m)',eol]);

% timestep
fprintf(fid,[num2str(dt,8),eol]);

% displacement
fprintf(fid,['%.6f',eol],s);

% done
fclose(fid);
end