figure

%Wave Events start time about 100s dt is 0.01s (Ad-Hoc method)
target_time = 93.14
[~, idx] = min(abs(ans.wg1.time - target_time));
z = ans.wmwg.analog(idx:end);
l = length(z);

%Change t to start from target_time to be 0s
t = linspace(0,l*0.01,l);
%t = (4.468:0.01:0.01*l)';

plot(t,z, 'LineWidth', 1.5);
ylabel("Displacement (m)");
xlabel('Time (s)');
xlim([0, 800]);
ylim([-0.5,0.5]);
grid on;
set(gca, 'FontSize', 25, 'FontWeight', 'bold');
title("Wave Guage Input")
savefig("WaveGuage.fig")

%Second figure plot entire wave guage data for reference according to DAC
%time and Wavemaker start and end time
figure
yyaxis left
plot(ans.wg1.time,ans.wg3.analog,'LineWidth', 1.5)
ylabel("Displacement")
yyaxis right
plot(ans.wg1.time, ans.wmstart.analog)
hold on
plot(ans.wg1.time,ans.awastart.analog)
plot(ans.wg1.time,ans.led.analog)
ylabel("Wavemaker Analog Signal")
xlabel("Time (s)")
title("Entire Wave guage data according to DAC time")
grid on;


