% Data
x1 = [1, 2, 3, 4];
x2 =[5,6];
x = [1,2,3,4,5,6];
y1 = [6.13, 14.5, 14.85, 15.3];
y2 = [7.4, 13.9];
y2_mean = [4.4,13,13.6,16.9,8.2,21.8];
y2_max = [5.2,14.9,15.85,18.1,8.5,22.63];
y2_min = [3.8,12,12,15.8,8,21.23];

% Plot
figure;
hold on;

% Width of the horizontal cap lines
cap_width = 0.09;

% Plot vertical red lines and horizontal caps (no legend entry)
for i = 1:length(x)
    % Vertical red line
    line([x(i), x(i)], [y2_min(i), y2_max(i)], ...
         'Color', 'r', 'LineWidth', 2.5);

    % Horizontal caps
    line([x(i) - cap_width, x(i) + cap_width], [y2_max(i), y2_max(i)], ...
         'Color', 'r', 'LineWidth', 2.5);  % Top cap
    line([x(i) - cap_width, x(i) + cap_width], [y2_min(i), y2_min(i)], ...
         'Color', 'r', 'LineWidth', 2.5);  % Bottom cap
end

% Plot Optimal PI and RL Mean
h1 = plot(x1, y1, '*', 'LineWidth', 2, 'MarkerSize', 14, 'Color', 'b'); % Optimal PI
h2 = plot(x2, y2, '*', 'LineWidth', 2, 'MarkerSize', 14, 'Color', 'm'); % Optimal Damping
plot(x, y2_mean, 'ro', 'MarkerSize', 14, 'LineWidth', 2, 'MarkerFaceColor', 'g'); % RL mean (no legend)

% Dummy object for RL to include circle + lines
h3 = plot(NaN, NaN, 'ko-', 'MarkerFaceColor', 'g', 'Color', 'r', 'LineWidth', 2, 'MarkerSize', 10);

% Customize x-axis labels
set(gca, 'XTick', x, 'XTickLabel', []);
xlim([0.5 6.5]);

% Two-line x-axis labels
labels_top = {'H = 0.15m', 'H = 0.15m', 'H = 0.15m', 'H = 0.15m', 'H = 0.2m', 'H = 0.2m'};
labels_bot = {'T = 1.75s', 'T = 2.25s', 'T = 2.5s', 'T = 2.75s', 'T = 1.75s', 'T = 2.25s'};
y_text = -1.2;
for i = 1:length(x)
    text(x(i), y_text, {labels_top{i}; labels_bot{i}}, ...
        'HorizontalAlignment', 'center', ...
        'FontSize', 14, ...
        'FontWeight', 'bold');
end

% Axis labels and formatting
ylabel('Power (W)', 'FontWeight', 'bold');
legend([h1, h2,h3], "Exp Optimal PI","Exp Optimal Damping", "Reinforcement Learning", 'Location', 'northwest');
title("Regular Wave DRL Experimental Results");
set(gca, 'FontSize', 20, 'FontWeight', 'bold');
grid on;