% Define structure name
structName = 'output';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Wave Guage Plot
openfig('WaveGuage.fig')
ax1 = gca; % get handle to axes of figure
figure('Position',[100 10 800 1000])
s1 = subplot(5,1,1);
fig1 = get(ax1,'children');
copyobj(fig1,s1);
%set(gcf, 'Position', [100, 100, 600, 220]); % Set figure size in pixels
% plot(eval([structName, '.time']), squeeze(eval([structName, '.ELMO.torque_Nm'])), 'LineWidth', 2);
ylabel("Eta (m)");
% xlabel('Time (s)');
xlim([0, 624]);
grid on;
set(gca, 'FontSize', 10, 'FontWeight', 'bold');
% title("ELMO Input (Motor Torque)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Heave Displacement Plot
subplot(5,1,2);
%set(gcf, 'Position', [100, 100, 600, 220]);
plot(eval([structName, '.time']), squeeze(eval([structName, '.customControl.z'])), 'LineWidth', 1.5);
ylabel("Displacement (m)");
% xlabel('Time (s)');
xlim([0, 624]);
grid on;
set(gca, 'FontSize', 10, 'FontWeight', 'bold');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Velocity (V) Plot
subplot(5,1,3);
%set(gcf, 'Position', [100, 100, 600, 220]);
plot(eval([structName, '.time']), squeeze(eval([structName, '.customControl.v'])), 'LineWidth', 1.5);
ylabel("Velocity (m/s)");
xlim([0, 624]);
ylim([-0.5, 0.5]);
xlabel('Time (s)');
grid on;
set(gca, 'FontSize', 10, 'FontWeight', 'bold');
% title("ELMO Input (Velocity)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
% Stiffness Plot
subplot(5,1,4);
%set(gcf, 'Position', [100, 100, 600, 220]);
plot(eval([structName, '.time']), squeeze(eval([structName, '.control.stiffness_Cust_Nperm'])), 'r', 'LineWidth', 2);
ylabel("Stiffness (Ki)");
% xlabel('Time (s)');
xlim([0, 624]);
ylim([-7e3, 0]);
grid on;
set(gca, 'FontSize', 10, 'FontWeight', 'bold');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Damping Plot
subplot(5,1,5);
%set(gcf, 'Position', [100, 100, 600, 220]);
plot(eval([structName, '.time']), squeeze(eval([structName, '.control.damping_Cust_Npermpers'])), 'b', 'LineWidth', 2);
ylabel("Damping (Kp)");
% xlabel('Time (s)');
xlim([0, 624]);
ylim([0, 2000]);
grid on;
set(gca, 'FontSize', 10, 'FontWeight', 'bold');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % Motor Current Plot
% figure
% %set(gcf, 'Position', [100, 100, 600, 220]);
% plot(eval([structName, '.time']), squeeze(eval([structName, '.ELMO.current_A'])), 'LineWidth', 1.5);
% ylabel("Motor Current (A)");
% xlim([0, 600]);
% xlabel('Time (s)');
% grid on;
% set(gca, 'FontSize', 25, 'FontWeight', 'bold');
% title("ELMO Input (Motor Current)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Power Plot
Pow = squeeze(eval([structName, '.ELMO.pow_W']));
figure
%set(gcf, 'Position', [100, 100, 600, 220]);
plot(eval([structName, '.time']), -Pow, 'b', 'LineWidth', 1.5);
ylabel("Power (W)");
xlabel('Time (s)');
xlim([0, 600]);
grid on;
set(gca, 'FontSize', 25, 'FontWeight', 'bold');

avg_pow = mean(-Pow(100001:600001));
fprintf('Average Power = %.4f W\n', avg_pow);
hold on
plot(eval([structName, '.time']), avg_pow*ones(size(Pow)), 'r-.', 'LineWidth', 1.5);
text(350,avg_pow+100,'11.4727 W','Color','red','FontSize',14)


