% Define structure name
structName1 = 'base';
structName2 = 'output';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Torque Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]); % Set figure size in pixels
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.ELMO.torque_Nm'])), 'LineWidth', 3.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.ELMO.torque_Nm'])), 'LineWidth', 3.5);
%ylabel("Torque (Nm)");
xlabel('Time (s)');
xlim([0, 624]);
ylim([-17,20])
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
%title("Motor Torque")
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
% Stiffness Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.control.stiffness_Cust_Nperm'])), 'LineWidth', 4.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.control.stiffness_Cust_Nperm'])), 'LineWidth', 2.5);
%ylabel("Stiffness (Ki)");
xlabel('Time (s)');
xlim([0, 624]);
ylim([-3.5e3, 0]);
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Damping Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.control.damping_Cust_Npermpers'])), 'LineWidth', 4.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.control.damping_Cust_Npermpers'])), 'LineWidth', 3.5);
%ylabel("Damping (Kp)");
xlabel('Time (s)');
xlim([0, 624]);
ylim([0, 3000]);
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Heave Displacement Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.customControl.z'])), 'LineWidth', 1.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.customControl.z'])), 'LineWidth', 1.5);
ylabel("Heave Displacement (m)");
xlabel('Time (s)');
xlim([0, 624]);
ylim([-0.075,0.075])
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")
%title("ELMO Input (Displacement)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Velocity (V) Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.customControl.v'])), 'LineWidth', 3.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.customControl.v'])), 'LineWidth', 3.5);
%ylabel("Heave Velocity (m/s)");
xlim([0, 624]);
ylim([-0.2,0.25]);
xlabel('Time (s)');
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
%title("Velocity")
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Motor Current Plot
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), squeeze(eval([structName1, '.ELMO.current_A'])), 'LineWidth', 1.5);
hold on
plot(eval([structName2, '.time']), squeeze(eval([structName2, '.ELMO.current_A'])), 'LineWidth', 1.5);
ylabel("Motor Current (A)");
xlim([0, 624]);
ylim([-2,2.5])
xlabel('Time (s)');
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');    
title("Motor Current")
legend("Unpenalized Case","Penalized Case (alpha=0.00005)")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Power Plot
Pow1 = squeeze(eval([structName1, '.ELMO.pow_W']));
Pow2 = squeeze(eval([structName2, '.ELMO.pow_W']));
figure
%set(gcf, 'Position', [100, 100, 624, 220]);
plot(eval([structName1, '.time']), -Pow1,  'LineWidth', 1.5);
hold on
plot(eval([structName2, '.time']), -Pow2, 'LineWidth', 1.5);
ylabel("Power (W)");
xlabel('Time (s)');
xlim([0, 624]);
grid on;
set(gca, 'FontSize', 40, 'FontWeight', 'bold');
legend("Unpenalized Case Avg Power=12.3W","Penalized Case(alpha=0.00005) Avg Power=9.76W ")

avg_pow = mean(Pow1(100001:600001));
fprintf('Average Power without Penalty = %.4f W\n', avg_pow);

avg_pow = mean(Pow2(100001:600001));
fprintf('Average Power with Penalty = %.4f W\n', avg_pow);




