% Bar data
y1 = [4.37, 7.26, 12.08, 46.97];   % First bar group
y2 = [3.43, 8.4, 12.73, 27.73];    % Second bar group

% Combine data for grouped bar
Y = [y1; y2]';

% Categorical x-tick labels
xticklabels_custom = {
    'Hs = 0.1m Tp = 1.9s', 
    'Hs = 0.1m Tp = 2.35s', 
    'Hs = 0.13m Tp = 2.35s', 
    'Hs = 0.21m Tp = 3.09s'
};

% Plot
figure;
b = bar(Y, 'grouped');
b(1).FaceColor = [0.2 0.6 0.8];   % Optional: set color
b(2).FaceColor = [0.9 0.4 0.2];

% Axis labels and formatting
set(gca, 'XTickLabel', xticklabels_custom, 'XTickLabelRotation', 0);
xlabel('Wave Condition', 'FontWeight', 'bold');
ylabel('Power (W)', 'FontWeight', 'bold');
legend('Impedance Matching', 'Reinforcement Learning', 'Location', 'northwest');
title('Power Comparison for Random Waves');
set(gca, 'FontSize', 18, 'FontWeight', 'bold');
grid on;