% Data
x1 = [1, 2, 3, 4];
x2 = [5,6];
y1 = [6.13, 14.5, 14.85, 15.3];
y2 = [7.4, 13.9];
y3 = 14.9;
x_fail = [1, 3, 4, 5, 6];
y_fail = [0.2, 0.2, 0.2, 0.2, 0.2];

% Plot
figure;
plot(x1, y1, '*', 'LineWidth', 2, 'MarkerSize', 14, 'Color', 'b'); hold on;
plot(x2, y2, '*', 'LineWidth', 2, 'MarkerSize', 14, 'Color', 'm');
plot(2, y3, 'ko', 'MarkerSize', 14, 'LineWidth', 2, 'MarkerFaceColor', 'g');
plot(x_fail, y_fail, 'k^', 'MarkerSize', 14, 'LineWidth', 2, 'MarkerFaceColor', 'r');

% Hide default x-tick labels
set(gca, 'XTick', x, 'XTickLabel', []);
xlim([0.5 6.5]);

% Add two-line labels manually using text()
labels_top = {'H = 0.15m', 'H = 0.15m', 'H = 0.15m', 'H = 0.15m', 'H = 0.2m', 'H = 0.2m'};
labels_bot = {'T = 1.75s', 'T = 2.25s', 'T = 2.5s', 'T = 2.75s', 'T = 1.75s', 'T = 2.25s'};

% Get Y position slightly below x-axis
y_text = -0.8;  % Adjust if needed depending on figure range
for i = 1:length(x)
    text(x(i), y_text, {labels_top{i}; labels_bot{i}}, ...
        'HorizontalAlignment', 'center', ...
        'FontSize', 14, ...
        'FontWeight', 'bold');
end

% Axis labels and legend
%xlabel('Wave Condition', 'FontWeight', 'bold');
ylabel('Power (W)', 'FontWeight', 'bold');
legend("Exp Optimal PI","Exp Optimal Damping", "DRL Valid", "DRL Failure", 'Location', 'northwest');
title("Initial Experimental Results")
set(gca, 'FontSize', 20, 'FontWeight', 'bold');
grid on;
